# Generated from packaging-0.99.80.gem by gem2rpm -*- rpm-spec -*-
%global gem_name packaging

Name: rubygem-%{gem_name}
Version: 0.99.80
Release: 1%{?dist}
Summary: Puppet Labs' packaging automation
License: Apache-2.0
URL: http://github.com/puppetlabs/packaging
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(rubocop) >= 0.24.1
# BuildRequires: rubygem(rubocop) < 0.25
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Packaging automation written in Rake and Ruby. Easily build native packages
for most platforms with a few data files and git.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/static_artifacts
%{gem_instdir}/tasks
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README-Solaris.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.99.80-1
- Initial package
